RHSA-2011:0308-01: Moderate: mailman security update
Posted on: 03/02/2011 09:26 AM

A mailman security update is available for RHEL 6

=====================================================================
Red Hat Security Advisory

Synopsis: Moderate: mailman security update
Advisory ID: RHSA-2011:0308-01
Product: Red Hat Enterprise Linux
Advisory URL: https://rhn.redhat.com/errata/RHSA-2011-0308.html
Issue date: 2011-03-01
CVE Names: CVE-2010-3089 CVE-2011-0707
=====================================================================

1. Summary:

An updated mailman package that fixes multiple security issues is now
available for Red Hat Enterprise Linux 6.

The Red Hat Security Response Team has rated this update as having moderate
security impact. Common Vulnerability Scoring System (CVSS) base scores,
which give detailed severity ratings, are available for each vulnerability
from the CVE links in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux Server (v. 6) - i386, ppc64, s390x, x86_64
Red Hat Enterprise Linux Workstation (v. 6) - i386, x86_64

3. Description:

Mailman is a program used to help manage email discussion lists.

Multiple input sanitization flaws were found in the way Mailman displayed
usernames of subscribed users on certain pages. If a user who is subscribed
to a mailing list were able to trick a victim into visiting one of those
pages, they could perform a cross-site scripting (XSS) attack against the
victim. (CVE-2011-0707)

Multiple input sanitization flaws were found in the way Mailman displayed
mailing list information. A mailing list administrator could use this flaw
to conduct a cross-site scripting (XSS) attack against victims viewing a
list's "listinfo" page. (CVE-2010-3089)

Red Hat would like to thank Mark Sapiro for reporting these issues.

Users of mailman should upgrade to this updated package, which contains
backported patches to correct these issues.

4. Solution:

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
https://access.redhat.com/kb/docs/DOC-11259

5. Bugs fixed (http://bugzilla.redhat.com/):

631881 - CVE-2010-3089 mailman: Multiple security flaws leading to cross-site scripting (XSS) attacks
677375 - CVE-2011-0707 Mailman: Three XSS flaws due improper escaping of the full name of the member

6. Package List:

Red Hat Enterprise Linux Server (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Server/en/os/SRPMS/mailman-2.1.12-14.el6_0.2.src.rpm

i386:
mailman-2.1.12-14.el6_0.2.i686.rpm
mailman-debuginfo-2.1.12-14.el6_0.2.i686.rpm

ppc64:
mailman-2.1.12-14.el6_0.2.ppc64.rpm
mailman-debuginfo-2.1.12-14.el6_0.2.ppc64.rpm

s390x:
mailman-2.1.12-14.el6_0.2.s390x.rpm
mailman-debuginfo-2.1.12-14.el6_0.2.s390x.rpm

x86_64:
mailman-2.1.12-14.el6_0.2.x86_64.rpm
mailman-debuginfo-2.1.12-14.el6_0.2.x86_64.rpm

Red Hat Enterprise Linux Workstation (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Workstation/en/os/SRPMS/mailman-2.1.12-14.el6_0.2.src.rpm

i386:
mailman-2.1.12-14.el6_0.2.i686.rpm
mailman-debuginfo-2.1.12-14.el6_0.2.i686.rpm

x86_64:
mailman-2.1.12-14.el6_0.2.x86_64.rpm
mailman-debuginfo-2.1.12-14.el6_0.2.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/#package

7. References:

https://www.redhat.com/security/data/cve/CVE-2010-3089.html
https://www.redhat.com/security/data/cve/CVE-2011-0707.html
https://access.redhat.com/security/updates/classification/#moderate

8. Contact:

The Red Hat security contact is . More contact
details at https://www.redhat.com/security/team/contact/

Copyright 2011 Red Hat, Inc.



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/rhsa_20110308_01_moderate_mailman_security_update.html)